// WSFooterButton.tsx 
import IWDFooterButtonState from './IWDFooterButtonState'; 
import IWDFooterButtonProps from './IWDFooterButtonProps';
import WDWidgetBase from '@widgets/WDWidgetBase/WDWidgetBase';
import defaultValue from "./WDFooterButtonState.json";
import "./WDFooterNutton.css";

export default class WDFooterButton extends WDWidgetBase<IWDFooterButtonProps, IWDFooterButtonState>{
  
  constructor(props: any) {
    super(props, defaultValue);
    if (this.manualInitState) {
      this.state = {
        ...this.state
        // Aggiungere qui manualmente la valorizzazione dello stato in base ai valori di props
      }
    }
  }

  renderContent(){
    return(
      <div className="fixed-bottom WSFooterButton">
        <div className="container-fluid">
          <div className="row">
            <div className="col text-end">
              <button className="btn btn-primary">Conferma</button>
            </div>
          </div>
        </div>
      </div>
    );
  }
  
}
